Global Notification Settings
GET/partner/notification/:user_code/security_notification/master_setting
Retrieves the on/off settings for security notification conditions. Returns data with is_active = 'N' if no settings have been saved yet.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Security notification master settings retrieved successfully
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": [
{
"group_security_notification_master_setting_idx": 1,
"parent_user_code": "DEMO-USR-001",
"is_active": "Y"
}
]
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | array |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |